curl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/jobs/{job-id}/job_events \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lat": "<string>",
"lon": "<string>",
"state": "created",
"created_at": "2023-11-07T05:31:56Z",
"occurred_at": "2023-11-07T05:31:56Z",
"event_name": "JobCreated",
"load_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_source": "web",
"created_by": {
"type": "User",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
},
"payload": {
"reject_reason": "<string>",
"driver_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"from_value": "<string>",
"to_value": "<string>",
"value": "<string>",
"warnings": [
{
"type": "<string>",
"document_type": "<string>",
"document_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expires_at": "2023-11-07T05:31:56Z",
"entity": "<string>"
}
],
"blocking": [
{
"type": "<string>",
"document_type": "<string>",
"document_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expires_at": "2023-11-07T05:31:56Z",
"entity": "<string>"
}
],
"overridden_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"overridden_at": "2023-11-07T05:31:56Z"
}
}
]
}Retrieve Job Job-Events by ID for a Company
curl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/jobs/{job-id}/job_events \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lat": "<string>",
"lon": "<string>",
"state": "created",
"created_at": "2023-11-07T05:31:56Z",
"occurred_at": "2023-11-07T05:31:56Z",
"event_name": "JobCreated",
"load_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_source": "web",
"created_by": {
"type": "User",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
},
"payload": {
"reject_reason": "<string>",
"driver_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"from_value": "<string>",
"to_value": "<string>",
"value": "<string>",
"warnings": [
{
"type": "<string>",
"document_type": "<string>",
"document_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expires_at": "2023-11-07T05:31:56Z",
"entity": "<string>"
}
],
"blocking": [
{
"type": "<string>",
"document_type": "<string>",
"document_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expires_at": "2023-11-07T05:31:56Z",
"entity": "<string>"
}
],
"overridden_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"overridden_at": "2023-11-07T05:31:56Z"
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
The maximum number of paginated results to return
x <= 100The cursor to stop paginating at
The cursor to start paginating after
OK
Show child attributes